%global pypi_name XStatic-jQuery

Name:           python-%{pypi_name}
Version:        2.2.4.1
Release:        3%{?dist}
Summary:        jQuery (XStatic packaging standard)

License:        MIT
URL:            http://jquery.com/
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Patch0:		0001-Fix-for-CVE-2019-11358.patch
Patch1:		0002-Fix-for-CVE-2020-11023.patch

BuildArch:      noarch
BuildRequires: web-assets-devel
BuildRequires: git
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-XStatic

%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%prep
%autosetup -n %{pypi_name}-%{version} -S git
# patch to use webassets dir
#sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/jquery/1'|" xstatic/pkg/jquery/__init__.py

%build
%py_build

%install
%py_install

# Remove static files, packaged in js-jquery1
# lhh - we want to bundle this
# rm -rf %{buildroot}%{python_sitelib}/xstatic/pkg/jquery/data/

%files -n python-%{pypi_name}
%doc README.txt
%{python_sitelib}/xstatic/pkg/jquery
%{python_sitelib}/XStatic_jQuery-%{version}-py%{python_version}.egg-info
%{python_sitelib}/XStatic_jQuery-%{version}-py%{python_version}-nspkg.pth


%changelog
* Tue Sep 29 2020 Radomir Dopieralski <rdopiera@redhat.com> - 2.2.4.1-3
- Fix CVE-2020-11023

* Mon Apr 27 2020 Steve Linabery <slinaber@redhat.com> - 2.2.4.1-2
- Fix rhbz#1827709

* Fri Apr 24 2020 Radomir Dopieralski <rdopiera@redhat.com> - 2.2.4.1-1
- Downgrade to 2.2.4.1
- Fix CVE-2019-11358

* Mon Mar 16 2020 Radomir Dopieralski <rdopiera@redhat.com> - 3.4.1.0-1
- Upgrade to 3.4.1.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.10.2.1-16
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.10.2.1-15
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 30 2019 Javier Peña <jpena@redhat.com> - 1.12.4.1-2
- Do not patch to use webassets dir, not depending on js-jquery1

* Wed Jan 30 2019 Lon Hohberger <lon@redhat.com> - 1.12.4.1-1
- Rebase to 1.12.4.1 to match OpenStack upper-constraints

* Wed Jan 30 2019 Lon Hohberger <lon@redhat.com> - 1.10.2.1-12.1
- Don't drop bundled jQuery

* Thu Nov 22 2018 Petr Viktorin pviktori@redhat.org> - 1.10.2.1-12
- Remove the Python 2 subpackage
  https://bugzilla.redhat.com/show_bug.cgi?id=1641286

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.10.2.1-10
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.10.2.1-6
- Rebuild for Python 3.6

* Thu Oct 13 2016 Jan Beran <jberan@redhat.com> - 1.10.2.1-5
- Provides a Python 3 subpackage
- depend on js-jquery1 rather than bundling its own

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 12 2014 Matthias Runge <mrunge@redhat.com> - 1.10.2.1-1
- Initial package.
